Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.rmic
Class SunRmic

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.rmic.DefaultRmicAdapter
            |
            +--org.apache.tools.ant.taskdefs.rmic.SunRmic

All Implemented Interfaces:
  RmicAdapter

public class SunRmic
extends DefaultRmicAdapter

The implementation of the rmic for SUN's JDK.

Since:
  Ant 1.4

Constructor Summary
`SunRmic()`

Method Summary
`boolean` | `execute()` Executes the task.

Methods inherited from class org.apache.tools.ant.taskdefs.rmic.DefaultRmicAdapter
`getClasspath, getCompileClasspath, getMapper, getRmic, getSkelClassSuffix, getStubClassSuffix, getTieClassSuffix, logAndAddFilesToCompile, setRmic, setupRmicCommand, setupRmicCommand`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SunRmic

    public SunRmic()

Method Detail

### execute

    public boolean execute()
                    throws BuildException

  Description copied from interface: `RmicAdapter`
  Executes the task.

  Returns:
    has the compilation been successful
    `BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.